fann_scale_input_train_data
fann_scale_output_train_data
Fann Functions
PHP Manual

# fann_scale_input

(PECL fann >= 1.0.0)

fann_scale_input — Scale data in input vector before feed it to ann based on previously calculated parameters

### Description

bool fann_scale_input ( resource `$ann` , array `$input_vector` )

Scale data in input vector before feed it to ann based on previously calculated parameters.

### Parameters

`ann`

  Neural network resource.

`input_vector`

  Input vector that will be scaled

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_descale_input() - Scale data in input vector after get it from ann based on previously calculated parameters
- fann_scale_output() - Scale data in output vector before feed it to ann based on previously calculated parameters

fann_scale_input_train_data
fann_scale_output_train_data
Fann Functions
PHP Manual